## org.apache.axis.encoding
Interface TypeMapping

All Superinterfaces:
  TypeMapping

All Known Implementing Classes:
  TypeMappingImpl

public interface TypeMapping
extends TypeMapping

This interface describes the AXIS TypeMapping.

Method Summary
`java.lang.Class[]` `getAllClasses()` Returns an array of all the classes contained within this mapping
`java.lang.Class` `getClassForQName(QName xmlType)` Gets the Class mapped to QName.
`TypeMapping` `getDelegate()` getDelegate gets the new Delegate TypeMapping
`DeserializerFactory` `getDeserializer(QName xmlType)` Gets the DeserializerFactory registered for the specified XML data type.
`SerializerFactory` `getSerializer(java.lang.Class javaType)` Gets the SerializerFactory registered for the specified pair of Java type and XML data type.
`QName` `getTypeQName(java.lang.Class javaType)` Gets the QName for the type mapped to Class.
`void` `setDelegate(TypeMapping delegate)` setDelegate sets the new Delegate TypeMapping

Methods inherited from interface javax.xml.rpc.encoding.TypeMapping
`getDeserializer, getSerializer, getSupportedEncodings, isRegistered, register, removeDeserializer, removeSerializer, setSupportedEncodings`

Method Detail

### setDelegate

    public void setDelegate(TypeMapping delegate)

  setDelegate sets the new Delegate TypeMapping

### getDelegate

    public TypeMapping getDelegate()

  getDelegate gets the new Delegate TypeMapping

### getSerializer

    public SerializerFactory getSerializer(java.lang.Class javaType)
                                    throws JAXRPCException

  Gets the SerializerFactory registered for the specified pair of Java type and XML data type.

  Parameters:
    `javaType` - - Class of the Java type
  Returns:
    Registered SerializerFactory
  Throws:
    `JAXRPCException` - - If there is no registered SerializerFactory for this pair of Java type and XML data type java.lang.IllegalArgumentException If invalid or unsupported XML/Java type is specified

### getDeserializer

    public DeserializerFactory getDeserializer(QName xmlType)
                                        throws JAXRPCException

  Gets the DeserializerFactory registered for the specified XML data type.

  Parameters:
    `xmlType` - - Qualified name of the XML data type
  Returns:
    Registered DeserializerFactory
  Throws:
    `JAXRPCException` - - If there is no registered DeserializerFactory for this pair of Java type and XML data type java.lang.IllegalArgumentException - If invalid or unsupported XML/Java type is specified

### getTypeQName

    public QName getTypeQName(java.lang.Class javaType)

  Gets the QName for the type mapped to Class.

  Parameters:
    `javaType` - class or type
  Returns:
    xmlType qname or null

### getClassForQName

    public java.lang.Class getClassForQName(QName xmlType)

  Gets the Class mapped to QName.

  Parameters:
    `xmlType` - qname or null
  Returns:
    javaType class or type

### getAllClasses

    public java.lang.Class[] getAllClasses()

  Returns an array of all the classes contained within this mapping

Copyright © 2003 Apache Web Services Project. All Rights Reserved.